Bug 176616 - Missing Module rlm_sql_mysql.so
Missing Module rlm_sql_mysql.so
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: freeradius (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-27 12:28 EST by Frank Reiss
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 12:03:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Reiss 2005-12-27 12:28:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Hi,

I need some help in locating and how to build the module rlm_sql_mysql.so and the associated files for Redhat Enterprise Linux Version 4. Please note that I did locate the file rlm_sql_mysql.a. But I am not locating the files to rebuild FreeRadius. So a step-by-step procedure would be appreciated for Redhat.

Thank You.
Frank Reiss


Version-Release number of selected component (if applicable):
Need Help Building rlm_sql_mysql.so for FreeRadius and MySQL

How reproducible:
Always

Steps to Reproduce:
1. Tried to run radius server with mysql.
2.
3.
  

Actual Results:  fails to authenticate.

Expected Results:  Pass authentication

Additional info:

This is an issue of correct documentation and including the required modules for the user to run or build and run these products on RedHat products.
Comment 1 Tom Lane 2005-12-27 14:38:34 EST
There is no such module in our mysql distribution.  I'm going to bounce this
over to the freeradius maintainer to see if he's ever heard of it.  If not,
I think it's appropriate to close this as NOTABUG.  We can't promise to support
software that we don't even distribute.
Comment 2 Frank Reiss 2005-12-27 16:30:01 EST
Hi

You have the file rlm_sql_mysql.a in your distribution. It is used to create 
the file rlm_sql_mysql.so. It is used in assocation with FreeRadius for 
communications between the two packages. What I am after is the module or the 
build procedure.

Thank you,
Frank Reiss
Comment 3 Thomas Woerner 2006-01-02 06:14:17 EST
There is no rlm_sql_mysql.a at all. 

But there is a package named freeradius-mysql, which contains the module
rlm_sql_mysql.so for freeradius.

What problem do you have with that module?
Comment 4 Thomas Woerner 2006-06-07 09:25:14 EDT
Please have a look at http://people.redhat.com/twoerner/BZ/176616/

----
Please remeber that these are test packages, which might get pushed out as 
update packages later if the fixes are ok. For now, these packages are
unsupported.

Comment 11 Thomas Woerner 2007-01-23 12:03:33 EST
There is not problem in the freeradius mysql module. It is working for me with
the original package.

The user was recompiling freeradius, but not the original package.

Note You need to log in before you can comment on or make changes to this bug.